Subject: Re: Java Native & cygnus-generated library.
From: [email-masked] (Jeffrey Russell Horner)

22 Sep 1998 02:02:24 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Eugene Teh <[email-masked]>
Cc: [email-masked]

>Hi, 
>	
>	I have a library (.a) generate using gcc (in CYGNUS environment)
>	Now I am trying to call functions in this library in Java. 
>	Has anyone done this?
>	I used the solaris' header (for jni.h)
>	And got the library foo.dll
>	
>But when the function is called in Java - 
>I got an Unsatisfiable Link Error. 
>(I have set my LD_LIBRARY_PATH variable appropriately)
>
>Any help is truly appreciated. 

I would suspect that you haven't setup the native method interface correctly
on the Java side. I've been able to link cygnus libraries (.a) fine when using
many of the NT compilers.

Can you tell me which jvm and jdk you're using? I need to do some java work
anyway , so I could install it and take a closer look at the problem...

>
>Eugene Teh
>UC BErkeley
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

****************************************************************
Jeff Horner        The University of Tennessee     CS Department
423 974-2841            fax: 423 974-8296         104 Ayres Hall
http://www.cs.utk.edu/~jhorner/        Knoxville, TN  37996-1301              
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".